import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/tblWechatSendTemplateInfo',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/tblWechatSendTemplateInfo/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/tblWechatSendTemplateInfo',
    method: 'put',
    data
  })
}
export function publishForAll(data) {
  return request({
    url: 'api/tblWechatSendTemplateInfo/publishForAll',
    method: 'post',
    data
  })
}
export function getAppEName() {
  return request({
    url: 'api/tblWechatSendTemplateInfo/getAppEName',
    method: 'GET'
  })
}
export function getCacheAppVnList(data) {
  return request({
    url: 'api/tblWechatSendTemplateInfo/getCacheAppVnList',
    method: 'post',
    data
  })
}
export function synKsbClass(data) {
  return request({
    url: 'api/tblWechatSendTemplateInfo/synKsbClass',
    method: 'GET'
  })
}

export default { add, edit, del, publishForAll, getAppEName, getCacheAppVnList, synKsbClass }
